#!/bin/bash
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Change Log: 
#     June 16, 2004 - JC: created
#     June 22, 2004 - TL,JC: change echo $TIO_HOME to grep .TCprofile to take out extra line on SunOS 5.9 
#     June 22, 2004 - JC: convert TIO_PRMGRP to variable 
#     June 22, 2004 - TL: only change the files touched by fp installer 
#     June 22, 2004 - JC: added chmod 
#     June 23, 2004 - JC: fixed TIO_PRMGRP
#     June 23, 2004 - JC: changed ptfs location from $CURRENT_DIR/ to $CURRENT_DIR/..
#     June 24, 2004 - JC: reverse the order of chmod for tio and language component, and add -f option
#     June 25, 2004 - JC: change the ownership and permission of $CURRENT_DIR for scripts to run correctly
#     Feb  07, 2005 - TL: Changed fp1 to fp2
#     Mar  07, 2005 - TL: Changed to chmod only if file exists
#

# Decsription:
#    filter postScript to change the ownership and permission of touched files in $TIO_HOME as per preinstall
#----------------------------------------------------------------------------------


echo "TC-I-OWNERSHIP: changing file ownership to tioadmin"
echo "TC-I-PERMISSION: changing script file permission to executable"

TIO_HOME=`su - tioadmin -c 'if [ -f $HOME/.profile ]; then grep .TCprofile $HOME/.profile; else grep .TCprofile $HOME/.bash_profile; fi' | tail -1 | awk '{print $2}' | sed -e 's^/.TCprofile^^g'`

TIO_PRMGRP=`id tioadmin | cut -d ' ' -f2- | cut -d ')' -f1 | cut -d '(' -f2`

JAVA_HOME=`cat $TIO_HOME/.TCprofile | grep JAVA_HOME | cut -d = -f2-`

CURRENT_DIR=`dirname $0`
[ "$CURRENT_DIR" = "." ] && CURRENT_DIR=`pwd`

#get the list of updated files
$JAVA_HOME/bin/jar -xvf $CURRENT_DIR/../tio20_fp2_solaris.jar ptfs/tio20_fp2_solaris/components/tio/update.jar
$JAVA_HOME/bin/jar -xvf $CURRENT_DIR/../tio20_fp2_solaris.jar ptfs/tio20_fp2_solaris/components/language/update.jar

for FILE in `$JAVA_HOME/bin/jar -tvf $CURRENT_DIR/../ptfs/tio20_fp2_solaris/components/tio/update.jar | cut -d / -f2-`
do
	chown -f tioadmin:$TIO_PRMGRP $TIO_HOME/$FILE
done

for FILE in `$JAVA_HOME/bin/jar -tvf $CURRENT_DIR/../ptfs/tio20_fp2_solaris/components/language/update.jar | cut -d / -f2-`
do
	chown -f tioadmin:$TIO_PRMGRP $TIO_HOME/$FILE
done

for FILE in `$JAVA_HOME/bin/jar -tvf $CURRENT_DIR/../ptfs/tio20_fp2_solaris/components/language/update.jar | cut -d / -f 2- | /usr/xpg4/bin/grep -E ".sh|.bat|.cmd"`
do
        [ -f $TIO_HOME/$FILE ] && chmod -f 755 $TIO_HOME/$FILE
done


for FILE in `$JAVA_HOME/bin/jar -tvf $CURRENT_DIR/../ptfs/tio20_fp2_solaris/components/tio/update.jar | cut -d / -f2- | /usr/xpg4/bin/grep -E ".sh|.bat|.cmd"`
do
	chmod -f 755 $TIO_HOME/$FILE
done

echo TC-I-ChangeCurrentDir: chown and chmod for current directory
chown -fR tioadmin:$TIO_PRMGRP $CURRENT_DIR
chmod -fR 755 $CURRENT_DIR
